Update Result
curl --request PATCH \
--url http://127.0.0.1:3333/v3/bots/{botId}/results/{resultId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "http://127.0.0.1:3333/v3/bots/{botId}/results/{resultId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('http://127.0.0.1:3333/v3/bots/{botId}/results/{resultId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"result": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"botId": "<string>",
"variables": [
{
"id": "<string>",
"name": "<string>",
"value": "<string>",
"isSessionVariable": true
}
],
"isCompleted": true,
"hasStarted": true,
"isArchived": true,
"lastChatSessionId": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}Results
Update Result
Update a result.
PATCH
/
v3
/
bots
/
{botId}
/
results
/
{resultId}
Update Result
curl --request PATCH \
--url http://127.0.0.1:3333/v3/bots/{botId}/results/{resultId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "http://127.0.0.1:3333/v3/bots/{botId}/results/{resultId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('http://127.0.0.1:3333/v3/bots/{botId}/results/{resultId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"result": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"botId": "<string>",
"variables": [
{
"id": "<string>",
"name": "<string>",
"value": "<string>",
"isSessionVariable": true
}
],
"isCompleted": true,
"hasStarted": true,
"isArchived": true,
"lastChatSessionId": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Default Response
Show child attributes
Show child attributes
⌘I